function [ filtVal ] = myCellEditCallback( hObject, eventdata,N )
% Callback to handle uitable data for filter weight GUI
handles = guidata(hObject);
index = eventdata.Indices;
if handles.numFiltersD >= N
    filtVal = handles.filtVal{N};
else
    filtVal = zeros(handles.ySizeD,handles.xSizeD);
end

filtVal(index(1),index(2)) = eventdata.NewData;
handles.filtVal{N} = filtVal;
guidata(hObject, handles);
end

